Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::FlowEndPoint Interface Reference

`import "AVStreams.idl";`

Inheritance diagram for AVStreams::FlowEndPoint:

[legend]
Collaboration diagram for AVStreams::FlowEndPoint:

[legend]
List of all members.

## Public Methods
boolean | lock ()
void | unlock ()
void | stop ()
void | start ()
void | destroy ()
FlowEndPoint | get_connected_fep () raises (notConnected,AVStreams::notSupported)
boolean | use_flow_protocol (in string fp_name, in any fp_settings) raises (AVStreams::FPError, AVStreams::notSupported)
| syntax of fp_name is <flowProtocol>. More...
void | set_format (in string format) raises (AVStreams::notSupported)
| set_format() initializes ëformatí as current media format e.g. MPEG. More...
void | set_dev_params (in CosPropertyService::Properties new_settings) raises (PropertyException, AVStreams::streamOpFailed)
void | set_protocol_restriction (in AVStreams::protocolSpec the_spec) raises (AVStreams::notSupported)
boolean | is_fep_compatible (in FlowEndPoint fep) raises (formatMismatch, deviceQosMismatch)
boolean | set_peer (in FlowConnection the_fc, in FlowEndPoint the_peer_fep, inout AVStreams::QoS the_qos) raises (AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
boolean | set_Mcast_peer (in FlowConnection the_fc, in AVStreams::MCastConfigIf a_mcastconfigif, inout AVStreams::QoS the_qos) raises (AVStreams::QoSRequestFailed)
boolean | connect_to_peer (inout AVStreams::QoS the_qos, in string address, in string use_flow_protocol) raises (failedToConnect,AVStreams::FPError, AVStreams::QoSRequestFailed)
string | go_to_listen (inout AVStreams::QoS the_qos, in boolean is_mcast, in FlowEndPoint peer, inout string flowProtocol) raises (failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)
| Needs to know its peer to choose its protocol correctly Also to ask for a reverse channel for credit-based flow control, if one is required. More...
## Public Attributes
attribute AVStreams::StreamEndPoint | related_sep
| Default is a nil object reference. More...
attribute FlowConnection | related_flow_connection

## Member Function Documentation

boolean AVStreams::FlowEndPoint::connect_to_peer | ( | inout AVStreams::QoS | the_qos,
|  | in string | address,
|  | in string | use_flow_protocol
| ) | raises (failedToConnect,AVStreams::FPError, AVStreams::QoSRequestFailed)

void AVStreams::FlowEndPoint::destroy | ( |  | ) |

FlowEndPoint AVStreams::FlowEndPoint::get_connected_fep | ( |  | ) | raises (notConnected,AVStreams::notSupported)

string AVStreams::FlowEndPoint::go_to_listen | ( | inout AVStreams::QoS | the_qos,
|  | in boolean | is_mcast,
|  | in FlowEndPoint | peer,
|  | inout string | flowProtocol
| ) | raises (failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)

| Needs to know its peer to choose its protocol correctly Also to ask for a reverse channel for credit-based flow control, if one is required.

boolean AVStreams::FlowEndPoint::is_fep_compatible | ( | in FlowEndPoint | fep | ) | raises (formatMismatch, deviceQosMismatch)

boolean AVStreams::FlowEndPoint::lock | ( |  | ) |

void AVStreams::FlowEndPoint::set_dev_params | ( | in CosPropertyService::Properties | new_settings | ) | raises (PropertyException, AVStreams::streamOpFailed)

void AVStreams::FlowEndPoint::set_format | ( | in string | format | ) | raises (AVStreams::notSupported)

| set_format() initializes ëformatí as current media format e.g. MPEG.

boolean AVStreams::FlowEndPoint::set_Mcast_peer | ( | in FlowConnection | the_fc,
|  | in AVStreams::MCastConfigIf | a_mcastconfigif,
|  | inout AVStreams::QoS | the_qos
| ) | raises (AVStreams::QoSRequestFailed)

boolean AVStreams::FlowEndPoint::set_peer | ( | in FlowConnection | the_fc,
|  | in FlowEndPoint | the_peer_fep,
|  | inout AVStreams::QoS | the_qos
| ) | raises (AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)

void AVStreams::FlowEndPoint::set_protocol_restriction | ( | in AVStreams::protocolSpec | the_spec | ) | raises (AVStreams::notSupported)

void AVStreams::FlowEndPoint::start | ( |  | ) |

void AVStreams::FlowEndPoint::stop | ( |  | ) |

void AVStreams::FlowEndPoint::unlock | ( |  | ) |

boolean AVStreams::FlowEndPoint::use_flow_protocol | ( | in string | fp_name,
|  | in any | fp_settings
| ) | raises (AVStreams::FPError, AVStreams::notSupported)

| syntax of fp_name is <flowProtocol>.

## Member Data Documentation

attribute FlowConnection AVStreams::FlowEndPoint::related_flow_connection

attribute AVStreams::StreamEndPoint AVStreams::FlowEndPoint::related_sep

| Default is a nil object reference.

The documentation for this interface was generated from the following file:

- AVStreams.idl